import { ToolbarButton } from '@jupyterlab/apputils';
import { DisposableDelegate } from '@lumino/disposable';
import { Signal } from '@lumino/signaling';
import { CODEGURU_RUN_SCAN_LABEL, RUN_CODEGURU_SCAN_ID } from '../constants';
import { codeGuruIcon } from '../constants/icons';
export class CreateCodeScanButtonExtension {
    constructor(app) {
        this._stateChanged = new Signal(this);
        this.app = app;
        this.handleClick = this.handleClick.bind(this);
    }
    emitStatusChange(response) {
        this._stateChanged.emit(response);
    }
    handleClick() {
        this.app.commands.execute(`lsp:${RUN_CODEGURU_SCAN_ID}-notebook`);
    }
    createNew(panel) {
        const button = new ToolbarButton({
            icon: codeGuruIcon,
            onClick: this.handleClick,
            tooltip: CODEGURU_RUN_SCAN_LABEL
        });
        panel.toolbar.insertItem(10, CODEGURU_RUN_SCAN_LABEL, button);
        return new DisposableDelegate(() => {
            button.dispose();
        });
    }
    get stateChanged() {
        return this._stateChanged;
    }
}
