/// <reference types="react" />
import { ReactWidget } from '@jupyterlab/apputils';
import { Popup } from '@jupyterlab/statusbar';
import { ISignal } from '@lumino/signaling';
import { ICodeScanResponse, Status } from '../constants/interface';
import { CreateCodeScanButtonExtension } from './CodeScanButton';
import { ErrorType } from './CodeScanErrorPopup';
interface ICodeScanStatusWidget extends ICodeScanResponse {
    listener: ISignal<CreateCodeScanButtonExtension, ICodeScanResponse>;
}
export declare class CodeScanStatus extends ReactWidget {
    protected status: Status;
    protected listener: ISignal<CreateCodeScanButtonExtension, ICodeScanResponse>;
    protected _popup: Popup | null;
    constructor(props: ICodeScanStatusWidget);
    handleClick(errorType?: ErrorType): void;
    render(): JSX.Element;
}
export declare function parseError(message: string | undefined): ErrorType | undefined;
export {};
